---
title: SVGPathElement.getPointAtLength()
slug: Web/API/SVGPathElement/getPointAtLength
tags:
  - API
  - DOM
  - Deprecated
  - Method
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<p><span class="seoSummary">The <code><strong>SVGPathElement.getPointAtLength()</strong></code> method returns the point at a given distance along the path.</span></p>

<div class="note">
<p><strong>Note:</strong> In SVG 2 this property was moved to the {{DOMxRef("SVGGeometryElement")}} interface, from which the {{DOMxRef("SVGPathElement")}} inherits it.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">SVGPoint <var>someElement</var>.getPointAtLength(float <var>distance</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>distance</dt>
 <dd>A float referring to the distance along the path.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>An {{DOMxRef("SVGPoint")}} indicating the point at a given distance along the path.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "paths.html#__svg__SVGPathElement__getPointAtLength", "SVGPathElement.getTotalLength()")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGPathElement.getPointAtLength")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("SVGGeometryElement.getPointAtLength()")}}</li>
</ul>
